//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "About.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------

__fastcall TMainForm::TMainForm(TComponent *Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CreateMDIChild(String Name,bool img)
{
	TMDIChild *Child;

	//--- create a new MDI child window ----
	Child = new TMDIChild(Application);
	Child->Caption = Name;
	if (FileExists (Name)) {
		if(img)
                   {
                   Child->Image1->Picture->LoadFromFile(Name);
                   Child->Image1->Visible=true;
                   Child->Memo1->Visible=false;
                   }
                else
                   {
                   Child->Memo1->Lines->LoadFromFile(Name);
                   Child->Memo1->Visible=true;
                   Child->Image1->Visible=false;
                   };
                               };
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileNew1Execute(TObject *Sender)
{
	CreateMDIChild("NONAME" + IntToStr(MDIChildCount + 1),false);
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileOpen1Execute(TObject *Sender)
{
	if (OpenDialog->Execute())
        switch(OpenDialog->FilterIndex)
                       {
        case 2:CreateMDIChild(OpenDialog->FileName,true);break;
        case 3:
                MediaPlayer1->FileName=OpenDialog->FileName;
                MediaPlayer1->Open();
                MediaPlayer1->Play();
                break;
        default:CreateMDIChild(OpenDialog->FileName,false);
                       }
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::HelpAbout1Execute(TObject *Sender)
{
	AboutBox->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FileExit1Execute(TObject *Sender)
{
	Close();
}
//---------------------------------------------------------------------------

